Create Dynamic Resource Doc endpoint code
POST /obp/v7.0.0/management/dynamic-resource-docs/endpoint-code
OBPv4.0.0-buildDynamicEndpointTemplate No role required Dynamic-Resource-Doc
Create a Dynamic Resource Doc endpoint code.
copy the response and past to PractiseEndpoint, So you can have the benefits of auto compilation and debug
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON request body fields (0)
JSON response body fields (1)
- code
- 125
Example request body
{
"request_verb": "POST",
"request_url": "/my_user/MY_USER_ID",
"example_request_body": {
"name": "Jhon",
"age": 12,
"hobby": [
"coding"
],
"_optional_fields_": [
"hobby"
]
},
"success_response_body": {
"my_user_id": "some_id_value",
"name": "Jhon",
"age": 12,
"hobby": [
"coding"
],
"_optional_fields_": [
"hobby"
]
}
}Example success response
{
"code": "println%28%22hello%22%29"
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.